.\" (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\" License.
.\" Modified Sat Jul 24 18:16:02 1993 by Rik Faith (faith@cs.unc.edu)
.TH SLEEP 3  "April 7, 1993" "GNU" "Linux Programmer's Manual"
.SH NAME
sleep \- Sleep for the specified number of seconds
.SH SYNOPSIS
.nf
.B #include <unistd.h>
.sp
.BI "unsigned int sleep(unsigned int " "seconds" ");"
.fi
.SH DESCRIPTION
.B sleep()
makes the current process sleep until
.I seconds
seconds have elapsed or a signal arrives which is not ignored.
.SH "RETURN VALUE"
Zero if the requested time has elapsed, or the number of seconds left to sleep.
.SH "CONFORMING TO"
POSIX.1
.SH "BUGS"
.B sleep()
may be implemented using
.BR SIGALRM ;
mixing calls to
.B alarm()
and
.B sleep() 
is a bad idea.
.PP
Using
.B longjmp()
from a signal handler or modifying the handling of 
.B SIGALRM
while sleeping will cause undefined results.
.SH "SEE ALSO"
.BR signal "(2), " alarm (2)
